com.lowagie.text.pdf

## Class DefaultFontMapper

- java.lang.Object
- - com.lowagie.text.pdf.DefaultFontMapper

- All Implemented Interfaces:
    FontMapper
  Direct Known Subclasses:
    AsianFontMapper

      public class DefaultFontMapper
      extends java.lang.Object
      implements FontMapper

  Default class to map awt fonts to BaseFont.
  Author:
    Paulo Soares (psoares@consiste.pt)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DefaultFontMapper.BaseFontParameters` A representation of BaseFont parameters.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.HashMap` | `aliases` Maps aliases to names.
    `private java.util.HashMap` | `mapper` Maps names to BaseFont parameters.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultFontMapper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BaseFont` | `awtToPdf(java.awt.Font font)` Returns a BaseFont which can be used to represent the given AWT Font
    `java.util.HashMap` | `getAliases()`
    `DefaultFontMapper.BaseFontParameters` | `getBaseFontParameters(java.lang.String name)` Looks for a BaseFont parameter associated with a name.
    `java.util.HashMap` | `getMapper()`
    `int` | `insertDirectory(java.lang.String dir)` Inserts all the fonts recognized by iText in the `directory` into the map.
    `void` | `insertNames(java.lang.Object[] allNames, java.lang.String path)` Inserts the names in this map.
    `java.awt.Font` | `pdfToAwt(BaseFont font, int size)` Returns an AWT Font which can be used to represent the given BaseFont
    `void` | `putAlias(java.lang.String alias, java.lang.String awtName)` Maps an alias to a name.
    `void` | `putName(java.lang.String awtName, DefaultFontMapper.BaseFontParameters parameters)` Maps a name to a BaseFont parameter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### aliases

          private java.util.HashMap aliases

      Maps aliases to names.

    - #### mapper

          private java.util.HashMap mapper

      Maps names to BaseFont parameters.

  - ### Constructor Detail

    - #### DefaultFontMapper

          public DefaultFontMapper()

  - ### Method Detail

    - #### awtToPdf

          public BaseFont awtToPdf(java.awt.Font font)

      Returns a BaseFont which can be used to represent the given AWT Font
      Specified by:
        `awtToPdf` in interface `FontMapper`
      Parameters:
        `font` - the font to be converted
      Returns:
        a BaseFont which has similar properties to the provided Font

    - #### pdfToAwt

          public java.awt.Font pdfToAwt(BaseFont font,
                               int size)

      Returns an AWT Font which can be used to represent the given BaseFont
      Specified by:
        `pdfToAwt` in interface `FontMapper`
      Parameters:
        `font` - the font to be converted
        `size` - the desired point size of the resulting font
      Returns:
        a Font which has similar properties to the provided BaseFont

    - #### putName

          public void putName(java.lang.String awtName,
                     DefaultFontMapper.BaseFontParameters parameters)

      Maps a name to a BaseFont parameter.
      Parameters:
        `awtName` - the name
        `parameters` - the BaseFont parameter

    - #### putAlias

          public void putAlias(java.lang.String alias,
                      java.lang.String awtName)

      Maps an alias to a name.
      Parameters:
        `alias` - the alias
        `awtName` - the name

    - #### getBaseFontParameters

          public DefaultFontMapper.BaseFontParameters getBaseFontParameters(java.lang.String name)

      Looks for a BaseFont parameter associated with a name.
      Parameters:
        `name` - the name
      Returns:
        the BaseFont parameter or `null` if not found.

    - #### insertNames

          public void insertNames(java.lang.Object[] allNames,
                         java.lang.String path)

      Inserts the names in this map.
      Parameters:
        `allNames` - the returned value of calling `BaseFont.getAllFontNames(String, String, byte[])`
        `path` - the full path to the font

    - #### insertDirectory

          public int insertDirectory(java.lang.String dir)

      Inserts all the fonts recognized by iText in the `directory` into the map. The encoding will be `BaseFont.CP1252` but can be changed later.
      Parameters:
        `dir` - the directory to scan
      Returns:
        the number of files processed

    - #### getMapper

          public java.util.HashMap getMapper()

    - #### getAliases

          public java.util.HashMap getAliases()